Name: indi-apogee
Version: 1.0
Release: 13%{?dist}
Summary: The INDI driver for Apogee Alta (U & E) line of CCDs

Group: Development/Libraries
License: LGPLv2+
URL: http://indi.sourceforge.net/

Source0: http://downloads.sourceforge.net/indi/%{name}_%{version}.tar.gz
Patch0: indi-apogee-cfitsio.patch

# https://sourceforge.net/tracker/?func=detail&aid=2954467&group_id=90275&atid=593019
Patch1: indi-apogee-dso.patch

BuildRequires: cmake libusb-devel cfitsio-devel zlib-devel
BuildRequires: libindi-static libindi-devel libapogee-devel libnova-devel

%description
The INDI (Instrument Neutral Distributed Interface) driver for Apogee 
Alta (U & E) line of CCDs.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS ChangeLog COPYING.LIB README
%{_bindir}/*
%{_datadir}/indi/*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-12
- EVR bump to build with cfitsio 3.350

* Sun Mar 24 2013 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-11
- EVR bump to build with cfitsio 3.340
- Removed some unused macros (buildroot, clean, etc)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 08 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-6
- Added missing -lm in indi_apogeeu_ccd and indi_apogeeu_ccd. Fixes bz #564703

* Fri Jan 08 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-5
- EVR bump, rebuilt with new libnova

* Tue Dec 22 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 1.0-4
- Adding libindi-devel to build requires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  1.0-1
- First version
